# H248_ActionReply Class Reference

`#include <h248.h>`

Inheritance diagram for H248_ActionReply:

List of all members.

## Public Types

enum | OptionalFields { e_errorDescriptor, e_contextReply }

## Public Member Functions

| H248_ActionReply (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_ContextID | m_contextId
H248_ErrorDescriptor | m_errorDescriptor
H248_ContextRequest | m_contextReply
H248_ArrayOf_CommandReply | m_commandReply

## Member Enumeration Documentation

enum H248_ActionReply::OptionalFields

Enumerator:

  e_errorDescriptor |
  e_contextReply |

## Constructor & Destructor Documentation

H248_ActionReply::H248_ActionReply | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_ActionReply::GetDataLength | ( |  | ) | const

PBoolean H248_ActionReply::Decode | ( | PASN_Stream & | strm | ) |

void H248_ActionReply::Encode | ( | PASN_Stream & | strm | ) | const

void H248_ActionReply::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_ActionReply::Compare | ( | const PObject & | obj | ) | const

PObject* H248_ActionReply::Clone | ( |  | ) | const

## Member Data Documentation

H248_ContextID H248_ActionReply::m_contextId

H248_ErrorDescriptor H248_ActionReply::m_errorDescriptor

H248_ContextRequest H248_ActionReply::m_contextReply

H248_ArrayOf_CommandReply H248_ActionReply::m_commandReply

The documentation for this class was generated from the following file:

- h248.h